Subject: bug#8706: 24.0.50; [PATCH] Function to build a URL query-string

From: Ian Eure <[email-masked]>
Date: Mon, 13 Jun 2011 18:29:44 -0700

On Jun 13, 2011, at 6:15 PM, Ted Zlatanov wrote:

> On Fri, 10 Jun 2011 20:15:48 -0500 Ted Zlatanov <[email-masked]> wrote: 
> 
> TZ> (second try for this, the first one I posted through Gmane disappeared)
> TZ> Attached is a patch which:
> 
> TZ> - adds optional SEMICOLONS and KEEP-EMPTY to `url-build-query-string' to
> TZ>   separate parameters with semicolons and to keep empty values
> 
> TZ> - fixes `url-parse-query-string' to understand the '=' is not required
> TZ>   in a parameter
> 
> TZ> - adds ERT tests for `url-build-query-string' and
> TZ>   `url-parse-query-string'
> 
> TZ> Ian, if you could look it over, I'd appreciate it.  In particular if you
> TZ> think KEEP-EMPTY should be the default or if you see any other problems...
> 
Looks good to me.

> Ian, I'd like to commit this.  I think it's pretty close to your
> original code so you should be the author, which is why I'm asking for
> your feedback (I can split the commits if you prefer).  I see one commit
> with your name in ChangeLog.14:
> 
> 2009-02-14  Ian Eure  <[email-masked]>  (tiny change)
> 
> This is not a tiny change, though, even if we split the commits.  Do you
> have Emacs assignment papers on file?
> 
Yes, I filed them for that change. I've subsequently switched jobs, but there's no chance there is an IP claim against it.